
Summary: Block based programming language
Name: scratux
Version: 1.1.0
Release: %mkrel 1
License: GPL
Group: Education
URL:  https://scratux.github.io/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: binutils xz tar
AutoReqProv: no

%description
Scratux is a block-based visual programming language
targeted primarily at children. 


%prep
%setup -T -n %{name} -c

%build

%install
rm -rf %buildroot
mkdir -p %buildroot/usr

%define deb_package scratux_%{version}_amd64.deb
#download source
cd $RPM_SOURCE_DIR
wget -nc "https://github.com/scratux/scratux/releases/download/v1.1/%{deb_package}"
cd ..

# extract data from the deb package
ar p $RPM_SOURCE_DIR/%{deb_package} data.tar.xz | xz -d -9 | tar x -C %buildroot

%clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
/opt/scratux
%{_datadir}

%changelog
* Mon May 13 2019 tex 1.1.0-1pclos2019
- new
